<?php

$TEST = true;


ini_set('error_reporting', E_ALL | E_STRICT);
ini_set('display_errors', FALSE);
ini_set('log_errors', TRUE);
ini_set('error_log', '__TesseraSanitaria.log');

ini_set("soap.wsdl_cache_enabled", "0");

error_log(".", 0);
error_log("main ".$_SERVER['PHP_SELF'], 0);


define ("_name",                   "Dr. xyz"); // non usato
define ("_cfProprietario",         "PROVAX00X00X000Y");
define ("_cfProprietarioCifrato",  "encrypted-ENCRYPTED+encrypted-ENCRYPTED+encrypted-ENCRYPTED=");
define ("_piProprietario",         "12345678901");

define ("_user",                   "PROVAX00X00X000Y");
define ("_psw",                    "Salve123");

define ("_NetworkUser",            ""); // non usato
define ("_NetworkPsw",             ""); // non usato

define ("_pincodeInviante",        "1234567890");
define ("_pincodeInvianteCifrato", "encrypted-ENCRYPTED+encrypted-ENCRYPTED+encrypted-ENCRYPTED=");


define ("_ColDocDate",      1);
define ("_ColDocNumber",    2);
define ("_ColFiscalCode",   8);
define ("_ColTotalEuro",    9);
define ("_ColNotRelevant1", 12);
define ("_ColNotRelevant2", 13);
define ("_ColNotRelevant3", 14);


define ("_TestUser",                   "PROVAX00X00X000Y");
define ("_TestPsw",                    "Salve123");
define ("_TestPincodeInviante",        "1234567890");
define ("_TestPincodeInvianteCifrato", "HmhwvMEtyHOwDm5K3YEQ9RZiNAkJ+FvRwXodiABj9HpRbdQUaLa4cyYZU8YqaBsSs4Lq6u85uDci6xowmF7ZrVgLhZ83q4nSi8bSvVDPS5pPStBlOJfvo8AisqDiKdJvEPbkIhBVnbmf28gh28G/vQLkp2RgVEYinPA0LUCz8PQ=");


define ("_InvioTelematico_WSDL", "InvioTelematicoSpeseSanitarie730p.wsdl"); 
define ("_DettaglioErrori_WSDL", "DettaglioErrori730Service.wsdl");
define ("_EsitoInvio_WSDL",      "EsitoInvioDatiSpesa730Service.wsdl");
define ("_ricevutePdf_WSDL",     "RicevutaPdf730Service.wsdl");
define ("_DocumentoSpesa_WSDL",  "");


if( $TEST )
    {
    $login                  = _TestUser;
    $password               = _TestPsw;
    $pincodeInvianteCifrato = _TestPincodeInvianteCifrato;
    $cfProprietario         = _TestUser;

    $InvioTelematico        = "https://invioSS730pTest.sanita.finanze.it/InvioTelematicoSS730pMtomWeb/InvioTelematicoSS730pMtomPort"; 
    $DettaglioErrori        = "https://invioSS730pTest.sanita.finanze.it/EsitoStatoInviiWEB/DettaglioErrori730Service";
    $EsitoInvio             = "https://invioSS730pTest.sanita.finanze.it/EsitoStatoInviiWEB/EsitoInvioDatiSpesa730Service";
    $ricevutePdf            = "https://invioSS730pTest.sanita.finanze.it/Ricevute730ServiceWeb/ricevutePdf";
    $DocumentoSpesa         = "https://invioSS730pTest.sanita.finanze.it/DocumentoSpesa730pWeb/DocumentoSpesa730pPort";
    }
else
    {
    $login                  = _user;
    $password               = _psw;
    $pincodeInvianteCifrato = _pincodeInvianteCifrato;
    $cfProprietario         = _cfProprietario;

    $InvioTelematico        = "https://invioSS730p.sanita.finanze.it/InvioTelematicoSS730pMtomWeb/InvioTelematicoSS730pMtomPort"; 
    $DettaglioErrori        = "https://invioSS730p.sanita.finanze.it/EsitoStatoInviiWEB/DettaglioErrori730Service";
    $EsitoInvio             = "https://invioSS730p.sanita.finanze.it/EsitoStatoInviiWEB/EsitoInvioDatiSpesa730Service";
    $ricevutePdf            = "https://invioSS730p.sanita.finanze.it/Ricevute730ServiceWeb/ricevutePdf";
    $DocumentoSpesa         = "https://invioSS730p.sanita.finanze.it/DocumentoSpesa730pWeb/DocumentoSpesa730pPort";
    }

error_log("login                  : ".$login, 0);
error_log("password               : ".$password, 0);
error_log("pincodeInvianteCifrato : ".$pincodeInvianteCifrato, 0);
error_log("cfProprietario         : ".$cfProprietario, 0);

$SoapClientParam = array
    ( 
    "location"        => "x", 
    "login"           => $login, 
    "password"        => $password, 
    "authentication"  => SOAP_AUTHENTICATION_BASIC, 
    "trace"           => false, 
    "exceptions"      => false
    ); 

$protocollo = "12345678901234567";

define ("_PercorsoDocRicevuti", "730precompilato_2015_RisultatiInvio/");
?>
