<?php
require_once 'Credenziali.php';


echo "<p><h4>RICHIESTA DEL DETTAGLIO DEGLI ERRORI</h4></p>";

$ws = _DettaglioErrori_WSDL;
$SoapClientParam["location"] = $DettaglioErrori; 

error_log("definisco il file wsdl ".$ws, 0);
echo $ws."<p> </p>";

error_log("definisco the soap server location ".$SoapClientParam["location"], 0);
echo $SoapClientParam["location"]."<p> </p>";


$client = new SoapClient($ws, $SoapClientParam);

echo "<p><h4>List of available SOAP functions</h4></p>";
$output = $client->__getFunctions();
while (list ($key, $val) = each ($output) ) echo $val."<br />"; echo "<p> </p>";

echo "<p><h4>List of types described in the WSDL for the Web service</h4></p>";
$output = $client->__getTypes();
while (list ($key, $val) = each ($output) ) echo $val."<br />"; echo "<p> </p>";


echo "<p><h4>INVIO LA RICHIESTA</h4></p>";
echo $protocollo."<p> </p>";

error_log("invio la richiesta", 0);
error_log("pinCode    = ".$pincodeInvianteCifrato, 0);
error_log("Protocollo = ".$protocollo, 0);

$output = $client->DettaglioErrori(Array
    (
    "DatiInputRichiesta"    => (Array
        (
        "pinCode"    => $pincodeInvianteCifrato,
        "protocollo" => $protocollo,
        "opzionale1" => '0',
        "opzionale2" => '0',
        "opzionale3" => '0'
        ))
    ));
if (is_soap_fault($output))
    {
    $err = "SOAP Fault: (faultcode: {$output->faultcode}, faultstring: {$output->faultstring})";
    error_log("richiesta terminata con errori", 0);
    echo "<p><h4>RICHIESTA TERMINATA CON ERRORI</h4></p>"."<p>$err</p>";
    var_dump($output); echo "<p> </p>";
    trigger_error($err, E_USER_ERROR);
    }
else
    {
    error_log("LA RICHIESTA HA AVUTO RISPOSTA", 0);
    echo "<p><h4>LA RICHIESTA HA AVUTO RISPOSTA</h4></p>";
//  var_dump($output); echo "<p> </p>";

    $esito = $output->DatiOutputRichiesta->esitoChiamata;

    if ( $esito == "0" )
        {
        error_log("E' PRESENTE UN FILE ERRORI PER IL PROTOCOLLO ".$protocollo, 0);
        echo "<p><h4>E' PRESENTE UN FILE ERRORI PER IL PROTOCOLLO ".$protocollo."</h4></p>";

//      var_dump($output->DatiOutputRichiesta->esitiPositivi->dettagliEsito->pdf);

        $nomefile = _PercorsoDocRicevuti.$protocollo.".zip";

        $dati = $output->DatiOutputRichiesta->esitiPositivi->dettagliEsito->csv;
        if( empty($dati) )
            {
            error_log("IL FILE E' VUOTO", 0);
            echo "<p><h4>IL FILE E' VUOTO</h4></p>";
            }
        else
            {
            error_log("SALVO GLI ERRORI COME ".$nomefile, 0);
            echo "<p><h4>SALVO GLI ERRORI COME ".$nomefile."</h4></p>";
            file_put_contents ( $nomefile, $dati ); 

            error_log("RICHIESTA COMPLETATA CON SUCCESSO", 0);
            echo "<p><h4>RICHIESTA COMPLETATA CON SUCCESSO</h4></p>";
            }
        }
    else
        {
        error_log("ERRORE: NON E' PRESENTE UN FILE ERRORI PER IL PROTOCOLLO ".$protocollo, 0);
        echo "<p><h4>ERRORE: NON E' PRESENTE UN FILE ERRORI PER IL PROTOCOLLO  ".$protocollo."</h4></p>";
        }
    }

error_log("done ".$_SERVER['PHP_SELF'], 0);
echo "<p><h4>FINE DEL LAVORO</h4></p>";
?>
