﻿<?php
require_once 'Credenziali.php';

// crea il file .xml da inviare al Ministero delle Finanze

define ("_Fatture730", "Fatture730_2015_2");     // nome del file da trattare ( .txt, .xml, .zip )
error_log("File trattato          : "._Fatture730.".txt", 0);

$encFC = GetEncFC(_cfProprietario);

$file = fopen(_Fatture730.'.txt', "r");

$xml=new SimpleXMLElement('<?xml version="1.0" encoding="utf-8"?><precompilata
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xsi:noNamespaceSchemaLocation="730_precompilata.xsd"></precompilata>');

    $opzionale1 = $xml->addChild('opzionale1', 'text');
    $opzionale2 = $xml->addChild('opzionale2', 'text');
    $opzionale3 = $xml->addChild('opzionale3', 'text');

    $proprietario = $xml->addChild('proprietario');

        $cfProprietario = $proprietario->addChild('cfProprietario', $encFC);

//  </proprietario>

$TotalDocs = 0;
$TotalEuro = 0;
while( !feof($file) )
    {
    $row = fgets($file);
    $col = explode(";", $row);
    if ( !empty($col[_ColFiscalCode]) )
        {
        $InvEuro = $col[_ColTotalEuro] - $col[_ColNotRelevant1] - $col[_ColNotRelevant2] - $col[_ColNotRelevant3];
        $InvEuro = number_format($InvEuro, 2, ".", "");

        $DocDate = DateTime::createFromFormat('d/m/Y', $col[_ColDocDate]);
        $DocDate = $DocDate->format('Y-m-d');

        $encFC = GetEncFC($col[_ColFiscalCode]);

        $TotalDocs += 1;
        $TotalEuro += $InvEuro;

    $documentoSpesa = $xml->addChild('documentoSpesa');

        $idSpesa = $documentoSpesa->addChild('idSpesa');

            $pIva = $idSpesa->addChild('pIva', _piProprietario);

            $dataEmissione = $idSpesa->addChild('dataEmissione', $DocDate);

            $numDocumentoFiscale = $idSpesa->addChild('numDocumentoFiscale');

                $dispositivo = $numDocumentoFiscale->addChild('dispositivo', '1');

                $numDocumento = $numDocumentoFiscale->addChild('numDocumento', $col[_ColDocNumber]);

//          </numDocumentoFiscale>

//      </idSpesa>

        $dataPagamento = $documentoSpesa->addChild('dataPagamento', $DocDate);

        $flagOperazione = $documentoSpesa->addChild('flagOperazione', 'I');

        $cfCittadino = $documentoSpesa->addChild('cfCittadino', $encFC);

        $voceSpesa = $documentoSpesa->addChild('voceSpesa');

            $tipoSpesa = $voceSpesa->addChild('tipoSpesa', 'SR');

            $importo = $voceSpesa->addChild('importo', $InvEuro);

//      </voceSpesa>

//  </documentoSpesa>

        }
    }

//</precompilata>

fclose($file);

Header('Content-type: text/xml');
print ($xml->asXML(_Fatture730.'.xml'));


error_log("Total Docs ".$TotalDocs, 0);
error_log("Total Euro ".$TotalEuro, 0);
error_log("done ".$_SERVER['PHP_SELF'], 0);


function GetEncFC($encFile)
    {
    $encFC = file_get_contents( "FC/x_".$encFile.".enc", FILE_USE_INCLUDE_PATH );
    $encFC = base64_encode($encFC);

    return $encFC;
    }
?>
